All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.tableview
Interface RelationalActionTypeKeysInterface

All Known Subinterfaces:
  HttpRelationalActionTypeKeysInterface, SwingRelationalActionTypeKeysInterface

All Known Implementing Classes:
  BaseTableViewSupport, HttpRelationalActionStrategyFactory, HttpRemoteFileActionStrategyFactory, HttpRemoteFileSelectorTableViewSupport, HttpTableViewSupport, SwingRelationalActionStrategyFactory, SwingTableViewSupport

    public interface RelationalActionTypeKeysInterface

Field Summary
`static java.lang.String` | `CALCULATED_ITEM_SELECTOR_ACTION`
`static java.lang.String` | `CLEAR_SORT_ACTION`
`static java.lang.String` | `EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION`
`static java.lang.String` | `EXPORT_TO_ACTION`
`static java.lang.String` | `EXPORT_TO_EXCEL_ACTION`
`static java.lang.String` | `FILTER_SELECTOR_ACTION`
`static java.lang.String` | `FORMAT_SELECTOR_ACTION`
`static java.lang.String` | `MOVE_COLUMN_LEFT_ACTION`
`static java.lang.String` | `MOVE_COLUMN_RIGHT_ACTION`
`static java.lang.String` | `PERCENT_CALCULATIONS_SELECTOR_ACTION`
`static java.lang.String` | `QUERY_SELECTOR_ACTION`
`static java.lang.String` | `RANKING_SELECTOR_ACTION`
`static java.lang.String` | `SORT_COLUMN_ASCENDING_ACTION`
`static java.lang.String` | `SORT_COLUMN_DESCENDING_ACTION`
`static java.lang.String` | `SORT_SELECTOR_ACTION`
`static java.lang.String` | `TOTALS_SELECTOR_ACTION`

Field Detail

### CLEAR_SORT_ACTION

    static final java.lang.String CLEAR_SORT_ACTION

See Also:
  Constant Field Values

### SORT_COLUMN_ASCENDING_ACTION

    static final java.lang.String SORT_COLUMN_ASCENDING_ACTION

See Also:
  Constant Field Values

### SORT_COLUMN_DESCENDING_ACTION

    static final java.lang.String SORT_COLUMN_DESCENDING_ACTION

See Also:
  Constant Field Values

### SORT_SELECTOR_ACTION

    static final java.lang.String SORT_SELECTOR_ACTION

See Also:
  Constant Field Values

### FILTER_SELECTOR_ACTION

    static final java.lang.String FILTER_SELECTOR_ACTION

See Also:
  Constant Field Values

### RANKING_SELECTOR_ACTION

    static final java.lang.String RANKING_SELECTOR_ACTION

See Also:
  Constant Field Values

### TOTALS_SELECTOR_ACTION

    static final java.lang.String TOTALS_SELECTOR_ACTION

See Also:
  Constant Field Values

### QUERY_SELECTOR_ACTION

    static final java.lang.String QUERY_SELECTOR_ACTION

See Also:
  Constant Field Values

### EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION

    static final java.lang.String EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION

See Also:
  Constant Field Values

### CALCULATED_ITEM_SELECTOR_ACTION

    static final java.lang.String CALCULATED_ITEM_SELECTOR_ACTION

See Also:
  Constant Field Values

### PERCENT_CALCULATIONS_SELECTOR_ACTION

    static final java.lang.String PERCENT_CALCULATIONS_SELECTOR_ACTION

See Also:
  Constant Field Values

### EXPORT_TO_EXCEL_ACTION

    static final java.lang.String EXPORT_TO_EXCEL_ACTION

See Also:
  Constant Field Values

### EXPORT_TO_ACTION

    static final java.lang.String EXPORT_TO_ACTION

See Also:
  Constant Field Values

### FORMAT_SELECTOR_ACTION

    static final java.lang.String FORMAT_SELECTOR_ACTION

See Also:
  Constant Field Values

### MOVE_COLUMN_LEFT_ACTION

    static final java.lang.String MOVE_COLUMN_LEFT_ACTION

See Also:
  Constant Field Values

### MOVE_COLUMN_RIGHT_ACTION

    static final java.lang.String MOVE_COLUMN_RIGHT_ACTION

See Also:
  Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.